import { Children } from 'react';
export const useLogic = ({ children, columns }) => {
    const gridColumnTemplate = () => {
        if (columns) {
            return columns.join(' ');
        }
        const childrenCount = Children.count(children);
        return `repeat(${childrenCount}, 1fr)`;
    };
    return { gridColumnTemplate };
};
